<!-- [QPRTemplateStart: jsdetailspaneutils.tpl] -->
<script type="text/javascript" src="<#CommonScriptFileLocation>jquery.text.children.js"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>detailspaneutils.js"></script>    

<script type="text/javascript">
/*
  Attributes names available for _sQuickPropertyIds and _sHeaderPropertyIds:
    All types:
      Name
      Type
      Owner
      Symbol/Identifier
      Description

    Action types:
      Any action attribute name without spaces.

    ProcessGuide types:
      Any custom attribute name as script name (only alpha numeric characters allowed, / changed to ., leading numbers removed).
        E.g. "Common Flow Object Attributes/Assignments/From/ExpressionBody" -> "CommonFlowObjectAttributes.Assignments.From.ExpressionBody"
      
      ProcessSteps:
        ProcessStepType
      Subprocess:
        ProcessStepType
        SubprocessVersion
        SubprocessStatus
        SubprocessAuthor
        SubprocessComment
  		Note:
        ModelElementConnectedTo
        NoteConnectedTo
      Resource:
        OrganizationUnit
        ResourceType
        ResourceAvailable
        ResourceUnitCost
        ResourceUnitName
        ResourceStoreSize
        ResourceOrderLimit
        ResourceOrderSize
        ResourceOrderingTime
        ResourceOrderingCost
      Group
        ProcessLevels
      ExternalModel
        ProcessLevels
        ExternalModelLocation
        ExternalModelUrl
      Connector
        ConnectorType
        ConnectorInformationItem
        ConnectorTransferType
        ConnectorFrom
        ConnectorTo
      InformationItem
        InformationItemLinkedOrEmbedded
        InformationItemType
        InformationItemLink
      OrganizationUnit
        OrganizationUnitPartOf
        OrganizationUnitType
      Store
        StoreType

    ScoreCard types:
      Scorecard
      CopyFromScorecard
      CopyFromModel
      DefaultUnit
      Roles
      ElementProcessStepLinks

  If desired attribute isn't found in the list above (e.g. custom attribute), it must be added manually into either _arQuickProperties or _arHeaderProperties arrays below.
*/

  var _sQuickPropertyIds = "Owner, Type, Symbol";
//  var _sQuickPropertyIds = "Owner, Type, Symbol, CommonActivityAttributes.Status, CommonFlowObjectAttributes.Assignments.To, CommonFlowObjectAttributes.Assignments.From.ExpressionBody";
  var _sHeaderPropertyIds = "Owner, Type, Symbol";

  var _arQuickProperties = [];
  var _arHeaderProperties = [];
  var _bSortAllAttributes = true;

  var _arRegisteredAttributes = bCollectAttributesAutomatically() ? 
  [
      {
        psId: "Id", psLabel: "<#LocalizedText id="Id">", psValue: sGetObjectId()
      }, {
        psId: "Name", psLabel: "<#LocalizedText id="Name">", psValue: sGetObjectLabel()
      }, {
        psId: "Type", psLabel: "<#LocalizedText id="Type">", psValue: sGetObjectTypeName()
      }
  ] :
  [
      {
        psId: "Id", psLabel: "<#LocalizedText id="Id">", psValue: sGetObjectId()
      }, {
        psId: "Name", psLabel: "<#LocalizedText id="Name">", psValue: sGetObjectLabel()
      }, {
        psId: "Type", psLabel: "<#LocalizedText id="Type">", psValue: sGetObjectTypeName()
      }, {
        psId: "Owner", psLabel: "<#LocalizedText id="Owner">", psValue: sGetObjectOwner()
      }, {
        psId: "Symbol", psLabel: (typeof(sGetShownNameForSymbolAttribute) !== "undefined") ? sGetShownNameForSymbolAttribute() : "<#LocalizedText id="Symbol">", psValue: sGetObjectSymbol()
      }, {
        psId: "Description", psLabel: "<#LocalizedText id="Description">", psValue: sGetObjectDescriptionHtml()
      }
  ];

  var _arAllAttributes = _arRegisteredAttributes.slice();
  
  function arGetDetailsPaneQuickProperties()
  {
    return _arQuickProperties;
  }

  function arGetDetailsPaneHeaderProperties()
  {
    return _arHeaderProperties;
  }
 
  function sGetObjectOwner()
  {
    return "<#Object attribute="Owner.PrettyName" skipaccesscheck="1">";
  }
 
  function sGetObjectSymbol()
  {
    return "<#Object attribute="Symbol">";
  }
  
  function sGetObjectLabel()
  {
    return "<#Object attribute="PrettyName">";
  }

  function sGetObjectIconUrl()
  {
    return "<#Object attribute="IconURL">";
  }

  function sGetObjectTypeName()
  {
    return "<#Object attribute="TypeName" localize="1">";
  }

  function sGetObjectDescriptionHtml()
  {
    return "<#Object attribute="Description" allowhtml="1">";
  }
  
  function sGetObjectId()
  {
    return "<#Object attribute="id">";
  }

  // Google Analytics
  function sGetObjectName() 
  {
    return "<#Object attribute="Name">";
  }  
  
  var _sLocalizedAllProperties = "<#LocalizedText id="All properties">";
  var _sLocalizedQuickProperties = "<#LocalizedText id="Quick properties">";
  var _arDetailsPaneToolbarItems = new Array();
  var _bSorted = false;
</script>
<!-- [QPRTemplateEnd: jsdetailspaneutils.tpl] -->
