<!DOCTYPE html>
<!-- [QPRTemplateStart: processanalysisframeview.tpl] -->
<#SetTemplateParameter id="OQ_attribute" value="pgobjects:includesubprocesseshiddenfromhierarchy=1">
<#SetTemplateParameter id="OQ_configuration" value="processanalysisfields.ini">
<#SetTemplateParameter id="OQ_sort" value="name">
<#SetTemplateParameter id="OQ_fields" value="header,processlevels,owner">
<#SetTemplateParameter id="OQ_templategroup" value="processguide">

<html>
  <head>
    <title><#Title notags="1"></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <meta http-equiv="content-type" content="text/html;charset=<#CHARSET>" />
    <#stylesheet>
    <script type="text/javascript">
      var _sDefaultQueryFields = "<#Parameter id="OQ_fields">";
      var _sDefaultQuerySortBy = "<#Parameter id="OQ_sort">";
      var _consts = {
        sViewSettingsGroup : "PGPLUGIN_analysis",
        sNativeTab : "processes",
        sNativePage1 : "PGPLUGIN_analysis",
        sHelpContext1 : "pg_analysis.htm",
        sRootName : "<#Object attribute="prettyname" enc="html">"
      };
    </script>
    <#PortalScript script="resizabletable.js">
    <script type="text/javascript" src="<#CommonScriptFileLocation>analysisview.js"></script> 
    <script type="text/javascript" src="<#pgpluginjscriptfile>"></script>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jsobjectqueryutils.tpl">
<#Include template="jsobjectquerypgutils.tpl">
<#Include template="jsutils.tpl">

<script type="text/javascript">
  function sGetBookmarkDefaultName()
  {
    var sBookmarkName = "<#LocalizedText id="Analysis view" enc="html">";
    var sObjectName = sGetRootName();
    if (sObjectName.length > 0)
      sBookmarkName = sObjectName + " (" + sBookmarkName + ")";
    return sBookmarkName;
  }
  
  function sGetHeaderViewRightHTML()
  {
    return "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
  }

  function sGetTableHeaderExtraInfo()
  {
    return "<span class='NormalText'><#LocalizedText id="View:">&nbsp;<#ViewSettingsName></span>";
  }

  function sGetDrillThroughCaption()
  {
    var oRecursive1 = document.getElementById('Recursive1');
    var oRecursive2 = document.getElementById('Recursive2');

    oRecursive1.value = 'PL';
    oRecursive2.value = 'II';

    document.write('<#LocalizedText id="Drill through diagrams">');
  }

  function sModifyInformationViewUrlForDetailsPane(vsUrl)
  {
    var sCurrentUrl = sGetDocumentLocation();
    if (sGetPlugin(vsUrl) === sGetPlugin(sCurrentUrl))
      vsUrl = sSetParameter("DEP", "1", vsUrl);
    return vsUrl;
  }

  function sGetImpactAnalysis() {
    return sGetToolbarIconButtonHTML("<#LocalizedText id="Impact Analysis">", "javascript:oGetInformationViewFrame().showImpactAnalysis()", "<#PortalImageFileLocation>icon_impact_analysis.png");
  }
  
  function showImpactAnalysis() {
    var sURL = sGetDocumentLocation();
    sURL = sSetParameter("TPL", "impactanalysis.tpl", sURL);
    sURL = sSetParameter("configurationmodel", "PG." + sGetParameter("MODELID", sGetDocumentLocation()), sURL);
    sURL = sURL.replace("PGPLUGIN", "QPRPORTAL");
    OpenWindow(sURL, "_blank", 600, 600, 0, true, 200, 100);
  }   
  
  CopyParametersToHierarchyViewParameters("PGAN_");
</script>

  </head>
  
  <body id="body" onLoad="OnLoadEx();">

<#Include template="tabledesigner.tpl">

<#Include template="tableheader.tpl">

<script type="text/javascript">
  var _iTotalMatchCount = -2;
  var _arWidths = new Array(), _arFixedWidths = new Array();
  
  InitializeEditMode();
  InitializeBufferedWriteHTML();
  BD();
  BT("border='0' cellpadding='2' cellspacing='1'");

<#Include template="dynamictableheader.tpl">

    <#ForEach attribute="<#Parameter id="OQ_attribute">" maxcount="50" where="" configuration="<#Parameter id="OQ_configuration">" sort="<#Parameter id="OQ_sort">" fields="<#Parameter id="OQ_fields">">

<#Include template="dynamictablefooter.tpl">

  ET();
  ED();
  document.write(sGetGeneratedHTML());
</script>
        </td>
      </tr>
    </table>
    </form>
<script type="text/javascript">
  document.write(sGetForEachTablePageControls(_iTotalMatchCount, 50));
</script>
  </body>
</html>
<!-- [QPRTemplateEnd: processanalysisframeview.tpl] -->
