<!DOCTYPE html>
<!-- [QPRTemplateStart: subpsdet.tpl] -->
<html>
<head>
<title><#Title></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta http-equiv="content-type" content="text/html;charset=<#CHARSET>"/>
<#PortalScript>
<script type="text/javascript" src="<#pgpluginjscriptfile>"></script>
<script type="text/javascript" src="<#CommonScriptFileLocation>toolframeutils.js"></script>

<link type="text/css" href="<#CSSFileLocation>jquery-ui.css" rel="stylesheet" />

<#stylesheet>

<style type="text/css">
.PropertyList caption .LinkRight {
  margin-top: 0px;
}
</style>

<#Include template="jsportaltoolbarutils.tpl">
<#Include template="jspgdetailspaneutils.tpl">
<#Include template="jswsfutils.tpl">
<#Include template="powerpointflowchartexporter.tpl">

<script type="text/javascript">

var _bHasRightsToData = <#HasObjectRights level="view" true="true" false="false">;
var _bProcessLevelVisibleInHierarchy = <#IsProcessLevelVisibleInHierarchy true="true" false="false">;

function UpdateHierarchyParameters(vsParameters,vbBoolean)
{
  var zoomvalue = vsParameters.substring((vsParameters.indexOf('ZOOM=')+5));
  zoomvalue = zoomvalue.substring(0,zoomvalue.indexOf("&"));
  if (zoomvalue.indexOf('%') != -1) { zoomvalue = zoomvalue.substring(0,zoomvalue.indexOf("%")+1); }
  document.forms.fullscreenzoom.action = self.location.href;
  document.forms.fullscreenzoom.method = "post";
  document.forms.fullscreenzoom.selecedzoomvalue.value = zoomvalue;
  document.forms.fullscreenzoom.submit();
}

// Header toolbar
function sGetProcessBrowserItem()
{
  if (!_bProcessLevelVisibleInHierarchy)
    return "";

  var sUrl = "";
  var sItemText = "";
  var bOpenInNew = false;
  var iLevelId = 0;
<#Tool_OpenInProcessBrowserParams>
  sItemText = "<#LocalizedText id="Show Summary">";
  if(bOpenInNew){
    return sGetToolbarIconButtonHTMLForSimplePopup(sItemText, sUrl);
  }
  else {
    return sGetToolbarIconButtonHTMLForOpenInformationView(sItemText, sUrl, "<#PortalImageFileLocation>icon_show_summary.png", "", iLevelId);
  }
}

function sGetElementListItem()
{
  var sUrl = "<#Tool_ElementListUrl>";
  if (sUrl)
    return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HElementList>", sUrl, "<#PortalImageFileLocation>icon_element_list.gif");
  return "";
}

function sGetResourcesItem()
{
  var sUrl = "<#Tool_ResourcesUrl>";
  if (sUrl)
    return sGetToolbarIconButtonHTMLForOpenInformationView("<#Tool_HResources>", sUrl, "<#PortalImageFileLocation>icon_resources.gif");
  return "";
}

function sGetViewSettingsItem()
{
  if (!_bProcessLevelVisibleInHierarchy)
    return "";
  var sUrl = "<#tool_viewsettingsviewaction>";
  var sItemText = "<#LocalizedText id="Views">";
  return sGetToolbarIconButtonHTMLForSizedPopup(sItemText, sUrl, 280, 200, "<#PortalImageFileLocation>icon_view.png");
}

function sGetOfficeExportItem()
{
  var oMainView = oGetMainView();
  return !oMainView || !oMainView.bIsLicensedPowerPointExport() || IPAD ||
         <#HasRights product="portal" level="update" true="false" false="true">
         ? '' :
           sGetToolbarIconButtonHTML("<#LocalizedText id="Export to Office">", "javascript:oGetInformationViewFrame().OfficeExport()", "<#PortalImageFileLocation>icon_office.png");
}

// Add Comment button add-on
function sGetAddFeedbackItem()
{
  var iType = "<#FeedbackActionType>";
  if (iType > 0) {
    var sFURL = "<#AddActionURL>";
    var sUrl = sFURL.replace(/ATY=1/gi,"ATY=" + iType);
    return sGetToolbarIconButtonHTMLForSizedPopup("<#localizedtext id="Add Comment">", sUrl, 720,360, "<#PortalImageFileLocation>icon_edit.png");
  }
  return "";
}

function sGetLocalToolbarHTML()
{
  return sGetProcessBrowserItem() + sGetViewSettingsItem() + sGetElementListItem() + sGetResourcesItem() + sGetOfficeExportItem();
}

function sGetViewId()
{
  return "<#ObjectId>";
}

// Add Comment button add-on
function sGetCommonToolbarHTML()
{
  return sGetDefaultToolbarButtonsWithActions() + sGetAddFeedbackItem();
}

function sGetHeaderViewRightHTML()
{
  return "<#LocalizedText id="View:">&nbsp;<#ViewSettingsName>";
}

function sGetHelpFile()
{
	return "<#HelpFileURL>?processmaps.htm";
}

var oFullSizeWinObject = "";

function SetFullSizeWindowObject(voWinObject)
{
  oFullSizeWinObject = voWinObject;
}

function CloseFullSizeWindow()
{
  if(oFullSizeWinObject)
    oFullSizeWinObject.close();
}

function OnLoad()
{
  UpdateInformationViewToolbarsFromInformationView();
  var sModelId = sGetModelId('processes', 'MODELID');
  var sURLModelId = <#ModelId>;
  if ((sModelId == "") || (sModelId != sURLModelId)) {
    // Don't overwrite hierarchy parameters if opened from a bookmark
    var bDontOverwriteHierarchyParams =
           (sGetParameter(ACT_PARAM_OPENED_FROM_BOOKMARK,
                          sGetDocumentLocation()) != '')
    var oHeaderView = oGetHeaderView();
    var sPreviousModelId = (bDontOverwriteHierarchyParams && oHeaderView) ?
                             oHeaderView.sGetHierarchyViewParameter('processes', 'MODELID') :
                             '';
    if (oHeaderView && (typeof(oHeaderView.SetHierarchyViewParameter) != "undefined") &&
        (!bDontOverwriteHierarchyParams || !sPreviousModelId)) {
      oHeaderView.SetHierarchyViewParameter('processes', 'MODELID', sURLModelId);
    }
  }
  trackGoogleAnalytics();  // Google Analytics
}

function OnUnload()
{
  CloseFullSizeWindow();
  UpdateInformationViewToolbarsFromInformationView(true);
}

// Called when going to another process level from links on this flowchart
function sPGOpenInfoViewFromFlowchart(vsUrl, vId)
{
  var sZoomLevel;
  var oHeaderView = oGetHeaderView();
  if (oHeaderView && oHeaderView.sGetHierarchyParameters)
    sZoomLevel = sGetParameter("ZOOM", oHeaderView.sGetHierarchyParameters());
    
  if (sZoomLevel == null || sZoomLevel == '')
    sZoomLevel = sGetParameter("ZOOM", sGetDocumentLocation());
  
  vsUrl = sSetParameter("ZOOM", sZoomLevel, vsUrl);
  OpenInformationView(vsUrl, vId, true);
}

function sGetHeaderViewLeftHTML()
{
  var sHTML = "<#TitleShort>";
  var sLocator = '<#ProcessLevelLocator OpenerFunction='OpenInformationView' InnerLinkParams='' EndSeparator="" LevelSeparator="/">';

  if (sLocator)
    sHTML += "<span style=\"padding-left: 20px;\">" + sGenerateLocator(sLocator) + "</span>";
  return sHTML;
}

function sGetDetailsPaneDefaultUrl()
{
  return "<#ViewURL VTN="subprocessdetails" ForwardedParameters="zoom,fit,vie">";
}

function OpenNotesList(vsUrl, vsElementDetailsUrl)
{
  if (bHasDetailsPane())
  {
    var oFrameset = oGetDetailsPaneFrameset();
    if (oFrameset && typeof(oFrameset.OpenDetailsPanePage) !== "undefined")
    {
      oFrameset.OpenDetailsPanePage(vsElementDetailsUrl, "Notes");
      return;
    }
  }
  OpenInformationView(vsUrl);
}
</script>
</head>
<body onload="javascript: OnLoad();" onUnload="javascript: OnUnload();">
  <div id="PropertyListWrapper" class="PropertyList">
    <#Include template="pg_detailsview_description.tpl">
   
    <table id="information" class="PropertyListTable" cellspacing="0" cellpadding="0">
      <#Include template="pg_detailsview_firsttablecaptionstart.tpl">
        <#LocalizedText id="Information">
      </caption>

  		<tr style="<#IsSectionVisible id="Symbol" false="display: none">">
  			<th class="Vertical"><#LocalizedText id="Symbol"></th>
  			<td><#Symbol></td>
  		</tr>

  		<tr id="ProcessStepType" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="ProcessStepType" false="display: none">">
  			<th class="Vertical"><#LocalizedText id="Process Step Type"></th>
  			<td><#ProcessStepType></td>
  		</tr>		
  
  		<tr id="SubprocessVersion" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="Subprocess_versioninfo" false="display: none">">
  			<th class="Vertical"><#LocalizedText id="Diagram Version"></th>
  			<td><#SubVersion></td>
  		</tr>
  		<tr id="SubprocessStatus" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="Status" false="display: none">">
  			<th class="Vertical"><#HStatus></th>
  			<td><#Status></td>
  		</tr>
  		<tr id="SubprocessAuthor" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="Author" false="display: none">">
  			<th class="Vertical"><#HAuthor></th>
  			<td><#Author></td>
  		</tr>
  		<tr id="SubprocessComment" class="DetailsPanePropertyRow" style="<#IsSectionVisible id="Comment" false="display: none">">
  			<th class="Vertical"><#HComment></th>
  			<td><#Comment></td>
  		</tr>
    </table>

<script type="text/javascript">
  if (!_bProcessLevelVisibleInHierarchy)
    document.write('<div style="display: none;">');
</script>

<#Include template="pg_detailsview_graph.tpl" Height="600px">

<script type="text/javascript">
  if (!_bProcessLevelVisibleInHierarchy)
    document.write('</div>');
</script>
<#Include template="pg_detailsview_recentactions.tpl" max_num_elements="10">

<#BeginSection id="OrganisationUnit">
<#Include template="pg_detailsview_organizationunits.tpl">
<#EndSection>

<#BeginSection id="ProcessLevel">
<#Include template="pg_detailsview_processlevels.tpl">
<#EndSection>

<#BeginSection id="Flows">
<#Include template="pg_detailsview_flows.tpl">
<#EndSection>

<#BeginSection id="ProcessSteps">
<#Include template="pg_detailsview_processsteps.tpl">
<#EndSection>

<#BeginSection id="Notes">
<#Include template="pg_detailsview_notes.tpl">
<#EndSection>

<#BeginSection id="Resources">
<#Include template="pg_detailsview_resources.tpl">
<#EndSection>

<#BeginSection id="InformationItems">
<#Include template="pg_detailsview_informationitems.tpl">
<#EndSection>

<#Include template="pg_detailsview_custom_attributes.tpl">

<#Include template="pg_detailsview_external_model_links.tpl">

<#Include template="pg_detailsview_measures.tpl">

</div>

<#Include template="pg_detailsview_footer.tpl">

<form name="fullscreenzoom">
  <input type="hidden" name="selecedzoomvalue" value="">
</form>

</body>
</html>
<!-- [QPRTemplateEnd: subpsdet.tpl] -->
