<!-- [QPRTemplateStart: jsobjectqueryutils.tpl] -->
<#PortalScript>

<script type="text/javascript" src="<#CommonScriptFileLocation>jsobjectqueryutils.js"></script>    

<script type="text/javascript">
var _sBaseUrl;

function OpenPage(viFirstIndex)
{
  var sUrl = _sBaseUrl ? _sBaseUrl : sGetDocumentLocation();
  var sAID = sGetParameter(ACT_PARAM_ASSOCIATION_ID, sUrl);
  if (sAID)
    sUrl = sSetParameter(ACT_PARAM_QUERY_ROOT_SHORT, sCreateExternalObjectId(PR_PORTAL, NO_ID, 1), sRemoveParameter(ACT_PARAM_ASSOCIATION_ID, sUrl));
  sUrl = sSetParameter("FIRST", viFirstIndex, sUrl);
  OpenView(sUrl, '_self');
}

function iGetTotalMatchCount()
{
  return iGetTotalMatchCount.piTotalMatchCount;
}

function sGetForEachTablePageControls(viTotalMatchCount, viDefaultMaxCount, vbHideResultCount, vsBaseURL, viFirstIndex)
{
  var sBeginDiv = "<div id='TabPageControls'>";
  var sEndDiv = "</div>";

  _sBaseUrl = vsBaseURL;
  var sURL = vsBaseURL ? vsBaseURL : sGetDocumentLocation();
  var sMaxCount = sGetParameter("MAXCOUNT", sURL);
  if (!sMaxCount)
    sMaxCount = viDefaultMaxCount;
  var iMaxCount = parseInt(sMaxCount);
  if (iMaxCount == 0)
    return "";

  var iFirstIndex = 0;
  if (!viFirstIndex) {
    iFirstIndex = parseInt(iGetFirstIndex());
  } else {
    iFirstIndex = viFirstIndex;
  }

  iGetTotalMatchCount.piTotalMatchCount = viTotalMatchCount;

  var sResult = "";
  if (!vbHideResultCount) {
    sResult = sDecodeURI("<#LocalizedText enc="js" id="Results: $0 - $1 of $2">");
    var iFirst = iFirstIndex + 1;
    var iLast = ((iFirstIndex + iMaxCount < viTotalMatchCount) ? (iFirstIndex + iMaxCount) : viTotalMatchCount);
    var iTotal = viTotalMatchCount;
    if (iLast < 0) 
      iLast = 0;
    if (iTotal < 0)
      iTotal = 0;
    if ((iFirst < 0) || (iFirst > iTotal))
      iFirst = iTotal;
    sResult = sSetParametersIntoTranslatedStr(sResult, '$', [iFirst, iLast, iTotal]) + "<br \/>";
  }
  
  if (iFirstIndex > 0) {
    if (iFirstIndex < iMaxCount) 
      sResult += sGetButtonHTML("<-", "javascript:OpenPage(0)");
    else
      sResult += sGetButtonHTML("<-", "javascript:OpenPage(" + (iFirstIndex - iMaxCount) + ")");
  }
  else if (iMaxCount >= viTotalMatchCount) 
  {
    if (!sResult)
	  return "";
	return (sBeginDiv + sResult + sEndDiv);
  }
  else
    sResult += sGetButtonHTML("<-", "", "DisabledButton") + " ";;

  
  var i, iPage;
  for (i = 0, iPage = 1; i < viTotalMatchCount; i += iMaxCount, ++iPage) {
    if (i == iFirstIndex) 
      sResult += sGetButtonHTML(iPage, "", "SelectedButton") + " ";
    else
      sResult += sGetButtonHTML(iPage, "javascript:OpenPage(" + i + ")") + " ";;
  }

  if (iFirstIndex + iMaxCount < viTotalMatchCount)
    sResult += sGetButtonHTML("->", "javascript:OpenPage(" + (iFirstIndex + iMaxCount) + ")");
  else
    sResult += sGetButtonHTML("->", "", "DisabledButton");
  return (sBeginDiv + sResult + sEndDiv);
}

var _arStringFilterConditions = [sDecodeURI("<#LocalizedTextMessage id="contains">"), 
                                 sDecodeURI("<#LocalizedTextMessage id="does not contain">"), 
                                 sDecodeURI("<#LocalizedTextMessage id="is">"), 
                                 sDecodeURI("<#LocalizedTextMessage id="is not">")
                                ];

var _arNumberFilterConditions = [sDecodeURI("<#LocalizedTextMessage id="is equal to">"), 
                                 sDecodeURI("<#LocalizedTextMessage id="is not equal to">"),
                                 sDecodeURI("<#LocalizedTextMessage id="is greater than">"), 
                                 sDecodeURI("<#LocalizedTextMessage id="is less than">"), 
                                 sDecodeURI("<#LocalizedTextMessage id="is greater than or equal to">"), 
                                 sDecodeURI("<#LocalizedTextMessage id="is less than or equal to">")
                                ];

var _arUserFilterConditions = [sDecodeURI("<#LocalizedTextMessage id="is">"), 
                               sDecodeURI("<#LocalizedTextMessage id="is not">"),
                               sDecodeURI("<#LocalizedTextMessage id="belongs to group">"),
                               sDecodeURI("<#LocalizedTextMessage id="does not belong to group">"),
                               sDecodeURI("<#LocalizedTextMessage id="is current user">"),
                               sDecodeURI("<#LocalizedTextMessage id="is not current user">")
                              ];

var _arUsersFilterConditions = [sDecodeURI("<#LocalizedTextMessage id="has">"),
                                sDecodeURI("<#LocalizedTextMessage id="does not have">"),
                                sDecodeURI("<#LocalizedTextMessage id="has user belonging to group">"),
                                sDecodeURI("<#LocalizedTextMessage id="does not have user belonging to group">"),
                                sDecodeURI("<#LocalizedTextMessage id="has current user">"),
                                sDecodeURI("<#LocalizedTextMessage id="does not have current user">")
                               ];

var _arDateFilterConditions = [sDecodeURI("<#LocalizedTextMessage id="after">"),
                               sDecodeURI("<#LocalizedTextMessage id="before">"),
                               sDecodeURI("<#LocalizedTextMessage id="in">"),
                               sDecodeURI("<#LocalizedTextMessage id="not in">")
                              ];

var _arMeasureValueFilterConditions = [{ "pbIsTextual" : false, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is equal to">")},
                                       { "pbIsTextual" : false, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is not equal to">")},
                                       { "pbIsTextual" : false, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is greater than">")},
                                       { "pbIsTextual" : false, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is less than">")},
                                       { "pbIsTextual" : false, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is greater than or equal to">")},
                                       { "pbIsTextual" : false, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is less than or equal to">")},
                                       { "pbIsTextual" : false, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is null">")},
                                       { "pbIsTextual" : false, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is not null">")},
                                       { "pbIsTextual" : true, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="contains">")},
                                       { "pbIsTextual" : true, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="does not contain">")},
                                       { "pbIsTextual" : true, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is">")},
                                       { "pbIsTextual" : true, "psLabel" : sDecodeURI("<#LocalizedTextMessage id="is not">")}
                                      ];

var _arMonths = [
                  sDecodeURI("<#LocalizedTextMessage id="January">"),
                  sDecodeURI("<#LocalizedTextMessage id="February">"),
                  sDecodeURI("<#LocalizedTextMessage id="March">"),
                  sDecodeURI("<#LocalizedTextMessage id="April">"),
                  sDecodeURI("<#LocalizedTextMessage id="May">"),
                  sDecodeURI("<#LocalizedTextMessage id="June">"),
                  sDecodeURI("<#LocalizedTextMessage id="July">"),
                  sDecodeURI("<#LocalizedTextMessage id="August">"),
                  sDecodeURI("<#LocalizedTextMessage id="September">"),
                  sDecodeURI("<#LocalizedTextMessage id="October">"),
                  sDecodeURI("<#LocalizedTextMessage id="November">"),
                  sDecodeURI("<#LocalizedTextMessage id="December">")
                ];

var _arRoleStringFilterConditions = [sDecodeURI("<#LocalizedTextMessage id="contains">"), 
                  sDecodeURI("<#LocalizedTextMessage id="does not contain">"), 
                  sDecodeURI("<#LocalizedTextMessage id="is">"), 
                  sDecodeURI("<#LocalizedTextMessage id="is not">"), 
                  sDecodeURI("<#LocalizedTextMessage id="role name is">")
                ];

var _arRoleUserFilterConditions = [sDecodeURI("<#LocalizedTextMessage id="is">"),
                  sDecodeURI("<#LocalizedTextMessage id="is not">"),
                  sDecodeURI("<#LocalizedTextMessage id="is current user">"),
                  sDecodeURI("<#LocalizedTextMessage id="is not current user">")
                ];



</script>

<#Include template="jsactiontypes.tpl">

<script type="text/javascript">

function arInitializeActionTypeEnumeration()
{
  var i, arResult = new Array();
  for (i = 0; i < _arActionTypes.length; ++i) {
    var oType = _arActionTypes[i];
    if (!oType.pbIsHiddenActionType)
      arResult.push([oType.piId, sDecodeURI(oType.psName)]);
  }
  return arResult;
}

var _arActionTypeEnumeration = arInitializeActionTypeEnumeration();
var _arTrendNameEnumeration = 
  [[-2, "<#LocalizedText id="None">"], 
   [-1, "<#LocalizedText id="Descending">"], 
   [0, "<#LocalizedText id="Constant">"], 
   [1, "<#LocalizedText id="Ascending">"]];
var _arPeriodicAccumulationEnumeration =
  [[9, ""],
   [8, "<#LocalizedText id="None">"], 
   [0, "<#LocalizedText id="Sum">"], 
   [6, "<#LocalizedText id="Sum (ignore missing values)">"], 
   [1, "<#LocalizedText id="Average">"], 
   [7, "<#LocalizedText id="Average (ignore missing values)">"], 
   [2, "<#LocalizedText id="Minimum">"], 
   [3, "<#LocalizedText id="Maximum">"], 
   [4, "<#LocalizedText id="First">"], 
   [5, "<#LocalizedText id="Last">"], 
   [10,"<#LocalizedText id="Latest">"]];
var _arInputTypeEnumeration =
  [[3, ""],
   [0, "<#LocalizedText id="Value is typed in">"], 
   [1, "<#LocalizedText id="Formula">"], 
   [2, "<#LocalizedText id="SQL Import">"]];

function FsGetBinOpCondition(viBinOp)
{
  switch (viBinOp) {
    case "1":
      return sDecodeURI("<#LocalizedTextMessage id="or">");
    case "2":
      return sDecodeURI("<#LocalizedTextMessage id="and">");
    default:
      return "";
  }
}

function sGetstringLabel(voFilter, vsLabel, vsBinOpCondition)
{
  var sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3">'), '$', 
                                                [
                                                  vsBinOpCondition, 
                                                  vsLabel, 
                                                  _arStringFilterConditions[parseInt(voFilter.parParameters[0]) - 1],
                                                  '"' + sDecodeURI(voFilter.parParameters[1]) + '"'
                                                ]);
  return sResult;
}

function sGetnumberLabel(voFilter, vsLabel, vsBinOpCondition)
{
  var sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3">'), '$', 
                                                [
                                                  vsBinOpCondition, 
                                                  vsLabel, 
                                                  _arNumberFilterConditions[parseInt(voFilter.parParameters[0]) - 1], 
                                                  voFilter.parParameters[1]
                                                ]);
  return sResult;
}

function sGetdateLabel(voFilter, vsLabel, vsBinOpCondition)
{
  var sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __DATEFORMAT $0. $1 $2">'), '$',
                                                [
                                                  voFilter.parParameters[1], 
                                                  _arMonths[parseInt(voFilter.parParameters[2]) - 1], 
                                                  voFilter.parParameters[3]
                                                ]);
  sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3">'), '$', 
                                            [
                                              vsBinOpCondition, 
                                              vsLabel, 
                                              _arDateFilterConditions[parseInt(voFilter.parParameters[0]) - 1], 
                                              sResult,
                                            ]);
  return sResult;
}

function sGetenumerationLabel(voFilter, vsLabel, vsBinOpCondition)
{
  var sTypes = voFilter.parParameters[1];
  var arTypes = sTypes.split(",");
  var sTypesText = "";
  var sEnumeration = voFilter.poField.sGetEnumeration();
  for (var i = 0; i < arTypes.length; ++i) {
    if (i > 0)
      sTypesText += ", ";
    sTypesText += sGetEnumerationNameByTypeId(sEnumeration, arTypes[i]);
  }
  var sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3">'), '$', 
                                                [
                                                  vsBinOpCondition, 
                                                  vsLabel, 
                                                  sDecodeURI("<#LocalizedTextMessage id="is any of the following:">"),
                                                  sTypesText
                                                ]);
  return sResult;
}

function sGetuserLabel(voFilter, vsLabel, vsBinOpCondition)
{
  var sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3">'), '$', 
                                                [
                                                  vsBinOpCondition, 
                                                  vsLabel, 
                                                  _arUserFilterConditions[parseInt(voFilter.parParameters[1]) - 1], 
                                                  voFilter.poExtraData
                                                ]);
  return sResult;
}

function sGetusersLabel(voFilter, vsLabel, vsBinOpCondition)
{
  var sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3">'), '$', 
                                                [
                                                  vsBinOpCondition, 
                                                  vsLabel, 
                                                  _arUsersFilterConditions[parseInt(voFilter.parParameters[1]) - 1], 
                                                  voFilter.poExtraData
                                                ]);
  return sResult;
}

function sGetcustomfilterLabel(voFilter, vsLabel, vsBinOpCondition)
{
  var sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3">'), '$', 
                                                [
                                                  vsBinOpCondition, 
                                                  vsLabel, 
                                                  ":", 
                                                  voFilter.parParameters[1]
                                                ]);
  return sResult;
}

function sGetmeasurevalueLabel(voFilter, vsLabel, vsBinOpCondition)
{
  var sValue = voFilter.parParameters[1];
  var iIndex = parseInt(voFilter.parParameters[0]) - 1;
  if ((iIndex == 6) || (iIndex == 7))
    sValue = "";
  else if (iIndex > 7)
    sValue = '"' + sDecodeURI(voFilter.parParameters[1]) + '"';
  var sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3">'), '$', 
                                                [
                                                  vsBinOpCondition, 
                                                  vsLabel, 
                                                  _arMeasureValueFilterConditions[iIndex].psLabel, 
                                                  sValue
                                                ]);
  return sResult;
}

function sGetroleLabel(voFilter, vsLabel, vsBinOpCondition)
{
  var sResult;
  if (parseInt(voFilter.parParameters[0]) > 4)
        sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3 AND ROLE USER $4 $5">'), '$',
                                                [
                                                  vsBinOpCondition,
                                                  vsLabel,
                                                  _arRoleStringFilterConditions[parseInt(voFilter.parParameters[0]) - 1],
                                                  (voFilter.parParameters[1]) ? '"' + sDecodeURI(voFilter.parParameters[1]) + '"' : '',
                                                  _arRoleUserFilterConditions[parseInt(voFilter.parParameters[2]) - 1],
                                                  (voFilter.parParameters[3]) ? '"' + sDecodeURI(voFilter.parParameters[3]) + '"' : ''
                                                ]);
  else
        sResult = sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="- __FILTERFORMAT $0$1 $2 $3">'), '$',
                                                [
                                                  vsBinOpCondition,
                                                  vsLabel,
                                                  _arRoleStringFilterConditions[parseInt(voFilter.parParameters[0]) - 1],
                                                  (voFilter.parParameters[1]) ? '"' + sDecodeURI(voFilter.parParameters[1]) + '"' : ''
                                                ]);
  return sResult;
}

function FsGetMeasureValueSeriesAndPeriodInformation(vsSeries, vsPeriod, vsOffset)
{
  return sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="Series:$0 Period:$1">'), '$', 
                                                 [vsSeries, vsPeriod]) + ' ' + sDecodeURI('<#LocalizedTextMessage id="Period offset:">') + vsOffset ;
}

function FsGetMeasurePathSeriesInformation(vsSeries)
{
  return sSetParametersIntoTranslatedStr(sDecodeURI('<#LocalizedTextMessage id="Series:$0">'), '$', 
                                                 [vsSeries]);
}

function FsGetPeriodLabel(viId, vsDefaultLabel)
{
  if ((viId == "default") || (viId == "d"))
    return vsDefaultLabel;
  else {
    var iObjectId = sExtractObjectId(viId);
    if (iObjectId == -1)
      return sDecodeURI("<#LocalizedText id="Latest" enc="js">");
    else if (iObjectId == -2)
      return sDecodeURI("<#LocalizedText id="Current" enc="js">");
    else if (iObjectId == -3)
      return sDecodeURI("<#LocalizedText id="Latest for all" enc="js">");
    else if (iObjectId == -5)
      return sDecodeURI("<#LocalizedText id="Previous" enc="js">");
    else if (iObjectId == -6)
      return sDecodeURI("<#LocalizedText id="Next" enc="js">");
    else
      return _arObjectData[viId];
  }
}

function oGetExtraDataFormeasurevalueFilter(voFilter)
{
  var sSeries = voFilter.parParameters[EXTRA_DATA_SERIES + 2];
  var sDefaultLabel = sDecodeURI("<#LocalizedText id="View default" enc="js">");
  if ((sSeries == "default") || (sSeries == "d"))
    sSeries = sDefaultLabel;
  else
    sSeries = _arObjectData[sSeries];

  sPeriod = voFilter.parParameters[EXTRA_DATA_PERIOD + 2];
  sPeriod = FsGetPeriodLabel(sPeriod, sDefaultLabel);
  sPeriodOffset = voFilter.parParameters[EXTRA_DATA_OFFSET + 2];
  return FsGetMeasureValueSeriesAndPeriodInformation(sSeries, sPeriod, sPeriodOffset);
}

function oGetExtraDataFormeasurepathFilter(voFilter)
{
  var sSeries = voFilter.parParameters[voFilter.parParameters.length - 1];
  var sDefaultLabel = sDecodeURI("<#LocalizedText id="View default" enc="js">");
  if ((sSeries == "default") || (sSeries == "d"))
    sSeries = sDefaultLabel;
  else
    sSeries = _arObjectData[sSeries];

  return FsGetMeasurePathSeriesInformation(sSeries);
}

function InitializeExtraDataFormeasurevalue(voField)
{
  var iId = voField.sGetFieldCustomization(0);
  var sDefaultLabel = sDecodeURI("<#LocalizedText id="View default" enc="js">");
  if ((iId == "default") || (iId == "d")) {
    if (iId != "d") 
      voField.SetFieldCustomization(0, "d");

    voField.SetExtraData(EXTRA_DATA_SERIES, sDefaultLabel);
  }
  else
    voField.SetExtraData(EXTRA_DATA_SERIES, _arObjectData[iId]);

  iId = voField.sGetFieldCustomization(1);
  if (iId == "default") 
    voField.SetFieldCustomization(1, "d");

  var sLabel = FsGetPeriodLabel(iId, sDefaultLabel);
  voField.SetExtraData(EXTRA_DATA_PERIOD, sLabel);
}

function InitializeExtraDataFormeasurepath(voField)
{
  var iId = voField.sGetFieldCustomization(0);
  var sDefaultLabel = sDecodeURI("<#LocalizedText id="View default" enc="js">");
  if ((iId == "default") || (iId == "d")) {
    if (iId != "d") 
      voField.SetFieldCustomization(0, "d");

    voField.SetExtraData(EXTRA_DATA_SERIES, sDefaultLabel);
  }
  else
    voField.SetExtraData(EXTRA_DATA_SERIES, _arObjectData[iId]);
}


function InitializeDefaultExtraDataFormeasurevalue(voField)
{ 
  voField.parCustomizations[3] = "d.d.0";
  var sSeries = sDecodeURI("<#LocalizedText id="View default" enc="js">");
  voField.SetExtraData(EXTRA_DATA_SERIES, sSeries);
  voField.SetExtraData(EXTRA_DATA_PERIOD, sSeries);
}

function InitializeDefaultExtraDataFormeasurepath(voField)
{ 
  voField.parCustomizations[3] = "d";
  var sSeries = sDecodeURI("<#LocalizedText id="View default" enc="js">");
  voField.SetExtraData(EXTRA_DATA_SERIES, sSeries);
  voField.SetExtraData(EXTRA_DATA_PERIOD, sSeries);
}

function OpenActionLink(vsId)
{
  var sURL = '<#TableViewURL plugin="QPRPORTAL">&TPL=actionhierarchyview.tpl&' + ACT_PARAM_QUERY_ROOT_SHORT + '=' + vsId + '&' + ACT_PARAM_QUERY_ATTRIBUTE_SHORT + '=actions';
  OpenInformationView(sURL, iExtractObjectId(vsId));
}

// Google Analytics  
function getModelName() 
{
  return "<#Model attribute="Name">";
}

// Google Analytics  
function getGoogleAnalyticsPage() 
{
  var model = "<#Model attribute="Name">";
  var page = "";
  if (["processesPGPLUGIN_organizations", "processesPGPLUGIN_navigator", "processesPGPLUGIN_matrices"].indexOf(oGetMainView().sGetMenuId()) > -1) 
    {
      page = oGetMainView().getTabName().substr(0, oGetMainView().getTabName().indexOf("/")) + "/" + model + "/" + $("a.SelectedHierarchyRow").attr("title");
    } 
    else if (["actionsdiscussion", "actionsbyuser", "actionsbytime", "actionsactionanalysis"].indexOf(oGetMainView().sGetMenuId()) > -1) 
	{
      page = oGetMainView().getTabName() + "/" + $.trim($("a.SelectedHierarchyRow").text());
    } 
    else 
	{
      page = oGetMainView().getTabName().substr(0, oGetMainView().getTabName().indexOf("/")) + getProcessPath($("a.SelectedHierarchyRow").parent().parent());
    }
  return page;
}

// Google Analytics  
function getProcessPath(node) 
{
  var hierarchyLevel = node.children().children("img").length;
  if (hierarchyLevel == 0) 
  {
    var nodeTitle = node.find("a[name='tl']").attr("title");
    if (nodeTitle == null) 
    {
      return "";
    } 
	else 
    {
      return "/" + nodeTitle;
    }
  }
  
  var traverseNode = node;
  
  while (true) 
  {
    traverseNode = traverseNode.prev();
    if (traverseNode.children().children("img").length < hierarchyLevel) 
    {
      break;
    }
  }
  var parentNode = traverseNode;
  return getProcessPath(parentNode) + "/" + node.find("a[name='tl']").attr("title");
}

// Google Analytics
function getScorecardName() 
{
  if (oGetMainView && oGetMainView().sGetViewDescriptor() != "scorecards") 
  {
    return "";
  }
  return $.trim($("a.SelectedHierarchyRow").text());
}

</script>
<!-- [QPRTemplateEnd: jsobjectqueryutils.tpl] -->
